Subject: [bug#36630] [PATCH] guix: parallelize building the manual-database

From: Ludovic Courtès <[email-masked]>
Date: Thu, 18 Jul 2019 10:57:30 +0200

Hello,

Arne Babenhauserheide <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>> Arne Babenhauserheide <[email-masked]> skribis:
> Offtopic: I love reading Esperanto here!
>>> Ludovic Courtès <[email-masked]> writes:
>
>>>>   guix environment --ad-hoc jupyter python-ipython python-ipykernel -n
>
>>> How exactly did you run the derivation?
>
>> If you run the command above, it’ll list
>> /gnu/store/…-manual-database.drv.  So you can just run:
>>
>>   guix build /gnu/store/…-manual-database.drv
>>
>> or:
>>
>>   guix build /gnu/store/…-manual-database.drv --check
>>
>> if it had already been built before.
>
> Somehow I can’t get guix to actually run my changed code with this
> command, so I’m not sure I tested the right thing.

Did you try the ‘guix environment -n’ command above?  Doesn’t it show
the manual-database.drv?

Alternately, you can also do something like:

  guix install -p /tmp/foo jupyter python-ipython python-ipykernel -n

HTH,
Ludo’.